#include "board.h"
#include "stm32f10x_lib.h"
//
void SPI_CS_Enable(void)
{
	GPIO_ResetBits(GPIO_CS, GPIO_Pin_CS);
}
//
void SPI_CS_Disable(void)
{
	GPIO_SetBits(GPIO_CS, GPIO_Pin_CS);
}
//
u8 SPI_Send(u8 dane)
{
	while(SPI_I2S_GetFlagStatus(SPI1, SPI_I2S_FLAG_TXE) == RESET);
	SPI_I2S_SendData(SPI1, dane); 
	while(SPI_I2S_GetFlagStatus(SPI1, SPI_I2S_FLAG_RXNE) == RESET);
	return SPI_I2S_ReceiveData(SPI1);
}
